AuGetErrorDatabaseText(3)

Name
AuGetErrorDatabaseText - get an error message from the error database

Synopsis
#include <audio/audiolib.h>

void AuGetErrorDatabaseText(server, name, message, default_string, buffer_return, length)
    AuServer *server;
    char *name;
    char *message;
    char *default_string;
    char *buffer_return; /* RETURN */
    int length;

Arguments

server
    Specifies the connection to the audio server.

name
    Specifies the name of the application.

message
    Specifies the type of the error message.

default_string
    Specifies the default error message if none is found in the database.

buffer_return
    Returns the error description.

length
    Specifies the size of the buffer.

Description
The AuGetErrorDatabaseText function copies the default_string and returns it in buffer_return. The name and message arguments are ignored.

See Also
AuServerName, AuGetErrorText, AuSetErrorHandler, AuSetIOErrorHandler, AuSynchronize.

audiolib - Network Audio System C Language Interface